import { p as proxyCustomElement, H, h } from './p-68696ef7.js';

const buttonCss = ".pixel-button-container{margin-top:15px;margin-bottom:15px}.pixel-button-container button{color:white;all:unset;border-style:solid;border-color:white;border-width:5px 0;margin:0 5px;padding:15px;position:relative;z-index:1;background:#A0A0A0;box-shadow:inset -5px -5px 0px 0px #808080;cursor:pointer}.pixel-button-container button:before{border:inherit;border-width:0 5px;width:100%;content:'';height:100%;left:-5px;pointer-events:none;position:absolute;top:0;right:-5px;z-index:-1}.pixel-button-container button:active{background-color:#808080;box-shadow:inset -5px -5px 0px 0px #A0A0A0}.pixel-button-container button:hover{background-color:#808080;box-shadow:inset -5px -5px 0px 0px #A0A0A0}";
const ArcadeButtonStyle0 = buttonCss;

const MyComponent = /*@__PURE__*/ proxyCustomElement(class MyComponent extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.action = undefined;
        this.label = undefined;
    }
    render() {
        return (h("div", { key: '892079a768c23044d26b4860b47e37a0155f964e', class: "pixel-button-container" }, h("button", { key: 'daf054058ba21dea2904d6ed124c093fed8b0904', onClick: () => this.action() }, this.label)));
    }
    static get style() { return ArcadeButtonStyle0; }
}, [1, "arcade-button", {
        "action": [16],
        "label": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["arcade-button"];
    components.forEach(tagName => { switch (tagName) {
        case "arcade-button":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, MyComponent);
            }
            break;
    } });
}

const ArcadeButton = MyComponent;
const defineCustomElement = defineCustomElement$1;

export { ArcadeButton, defineCustomElement };

//# sourceMappingURL=arcade-button.js.map